//
//  ProgInfo.m - info on this program's memory usage at one point in time
//  VMTester
//
//  Created by Cameron Hayne on 19/02/05.
//  Copyright 2006 Hayne of Tintagel.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#import "ProgInfo.h"

@implementation ProgInfo

- (id)init
{
    mach_msg_type_number_t t_info_count = TASK_BASIC_INFO_COUNT;
    
    kern_return_t result = task_info(mach_task_self(),
                                     TASK_BASIC_INFO,
                                     (task_info_t) &myBasicInfo,
                                     &t_info_count);
    if (result != KERN_SUCCESS)
    {
        return nil;
    }
    
    return self;
}

- (void)dealloc
{
    [super dealloc];
}

@end
